Fibre Channel (SAN)

Reply
Occasional Contributor
Posts: 17
Registered: ‎05-01-2008

IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

Hi.

I have an IBM BladeCenter that uses a Brocade 4Gb swtich module in Access Gateway mode to connect to our SAN that uses a CISCO MDS9000 (9509) switch. I have noticed an article about Blades with QLogic HBAs where all the HBA FCIDs have "00" at the end having trouble connecting to Cisco switch in Access Gateway mode. We tried several things the article suggested but we still are getting "Login Failed, duplicate AL_PA" errors.

Does anyone know anything about this that may be able to gives us some insight as to what we are missing or if this will not work in AG mode ??????

Thanks

External Moderator
Posts: 4,929
Registered: ‎02-23-2004

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

clasha,

yes, the 4G Blade switch can work as AG, but.......

Which exactely ! SAN-OS is loaded in the MDS and which exactely FabOS is loaded in the Blade Switch?

--->>> "Login Failed, duplicate AL_PA" errors.

Are the Fabric parameter correct set ? i assume this is the problem, why the both OS Brocade and Cisco havesome restriction.

is the Blade configured as NPIV ?

TechHelp24

TechHelp24
Occasional Contributor
Posts: 17
Registered: ‎05-01-2008

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

Hi, the Cisco is running 3.0.(2a) and the Brocade module is running 5.3.0a.

In the article I mentioned there was some special case I believe where the internal 14 HBAa all have same OUI ID (FCID) and have trouble authenticating in AG mode with Cisco switch or something along those lines.

Thoughts ?

Thanks

External Moderator
Posts: 4,929
Registered: ‎02-23-2004

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

clasha,

Ok, here is the problem.

SAN-OS 3.0.x don't work with FabOS 5.3.x Guaranted !

I will check the exact Release of both OS that can Interoperate and post here the aswer later.

TechHelp24

TechHelp24
Occasional Contributor
Posts: 17
Registered: ‎05-01-2008

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

Thanks for the information...this was driving us crazy as the documents we have been reading say it should work with this revisions.

Yes, Please send me the compatible OSs.

Thanks again

External Moderator
Posts: 4,929
Registered: ‎02-23-2004

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

clasha,

--->>> this was driving us crazy as the documents we have been reading say it should work with this revisions.

which documents do yo mean ?

please upload this here, i will see....... thanks.

the correct SAN-OS must be min. Rel. 3.2.1a see attache Cisco Interop-Guide chapter 5 page 5-6 table 5-2

TechHelp24

TechHelp24
Occasional Contributor
Posts: 17
Registered: ‎05-01-2008

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

Thanks, I will have a look through the document.

Attached arethe documents I was looking through.

I noticed that there is a v6.0.0a and v6.0.0c FabricOS listed on the Brocade site. I don't see this updated on IBMs site so I am wondering if they would work on the Brocade FC Switch I currently have 5.3.0a installed on? The IBM information on the module is: Part#: 32R1818 IBM FRU#: 32R1820. From browsing your website I am assuming it is a 4020 but I don't see it listed anywhere on the switch module to be certain. Will any of these newer FabricOS's work ?

Thanks

External Moderator
Posts: 4,929
Registered: ‎02-23-2004

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

clasha,

i know this Brocade GA Technical Note.

This say, the:

--->>> Table1. OUI IDs that require special treatment *

with SAN-OS 3.2.1

and, you must configured the MDS with NPIV Port.

to you question:

--->>>....I am assuming it is a 4020....

execute the command "switchshow" you get here the output and can see the Switch Type, the 4020 is Switch Type 37

--->>> Will any of these newer FabricOS's work ?

yes, the 4020 is supported by the latest FabOS 6.0.1 and 6.1.0a ( see attached Rel. Notes ) but i wold you reccomeded continue to work a this time with FabOS 5.3.x until the Interop-Mode with the SAN-OS and any FabOS higher than v6.x is Tested and approved.

TechHelp24

TechHelp24
Occasional Contributor
Posts: 17
Registered: ‎05-01-2008

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

If the Cisco can not be easily upgraded, can the Brocade be downgraded to a lower FabricOS that would be compatible with the current Cisco OS?

If so, what is the latest OS I can downgrade to that would allow AG mode and provide Cisco compatibilty ?......and where can I download it?

Thanks for you feedback.

External Moderator
Posts: 4,929
Registered: ‎02-23-2004

Re: IBM BladeCenter usng 4Gb 20Port Brocade FC Switch module to Cisco MDS9000(9509) SAN in AG mode

The lowest and initial FabOS Release that support AG and NPIV is v5.2.1, but i'am me not sure this will work with SAN-OS v3.0.x and have here my doubt that work.

Preview FabOS Rel.lower than v5.2.1 not support Ag and NPIV.

What is the reason that you cannot upgrade the MDS ?

You can download the v5.2.x by IBM

TechHelp24

TechHelp24

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.